<template>
  <div class="template">
    <header class="header">
      <div class="headerElement">
        <img
          class="headerElementImg"
          alt="Groupomania logo"
          src="../assets/logos/icon-left-font.svg"
        />
      </div>

      <nav class="nav">
        <div v-if="status=='login'" class="navElement navElement1">
          <router-link to="/network">Acceder au réseau</router-link>
        </div>
        <div class="navElement navElement2">
          <router-link to="/register">Créer un compte</router-link>
        </div>
        <div v-if="status=='login'" class="navElement navElement3">
          <router-link to="/publish">Publier un post</router-link>
        </div>
        <div v-if="status!='login'" class="navElement navElement4">
          <router-link to="/login">Se connecter</router-link>
        </div>
        <div v-else class="navElement navElement4">
          <router-link to="/login">Se deconnecter</router-link>
        </div>
        <div v-if="status=='login'" class="navElement navElement5">
          <router-link to="/account">Mon compte</router-link>
        </div>
        <div v-if="status=='login' && user.isAdmin==true" class="navElement navElement5">
          <router-link to="/admin">Les comptes</router-link>
        </div>
      </nav>
    </header>
    <router-view />
  </div>
</template>

<script>
import { mapState } from 'vuex';

export default {
  name: "PageBanner",
  computed : {
    ...mapState(['status','user'])
  },
  
};

</script>

<style lang="scss" scoped>
@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,200;0,500;0,600;1,200&display=swap');

* {
  font-family: Montserrat, Arial, Helvetica, sans-serif;
  font-size: medium
}
a{
  text-decoration: none;
  color: black;
}
.template{
  background-color: transparent;
}

.header {
  display: grid;
  grid-template-columns: 1fr 3fr;
  grid-column-gap: 20px;
  align-items: center;
  border-bottom: solid 1px red;
  //height: 150px;
  &Element {
    height: 150px;
    &Img {
      object-fit: cover;
      height: 100%;
    }
  }
}
.nav {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr;
  grid-column-gap: 20px;
  &Element {
    border-top: solid 2px transparent;
    padding :15px 20px;
    text-align: center;
    &:hover {
      font-weight: bold;
      border-top-color: red;
      color: red;
    }
  }
}
@media screen and (max-width: 660px) {
  .header {
    grid-template-columns: 1fr;
    height: 250px;
    text-align: center;
    border-bottom: none;
    &Element {
      height: 200px;
      border-bottom: solid 1px red;
    }
  }
  .nav {
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr 1fr 1fr;
    justify-content: space-between;
    align-content: center;

  }
}
</style>
